Package pyplusplus :: Package decl_wrappers :: Module class_wrapper

# Module class_wrapper

source code

defines class that configure class definition and class declaration exposing

Classes
impl_details
class_common_details_t defines few properties that are common to class declaration and definition classes
class_declaration_t
class_t

Variables
| always_expose_using_scope_documentation = ``'``boolean, configures``...``

Variables Details

### always_expose_using_scope_documentation

Value:

      '''boolean, configures how Py++ should generate code for class.
      Py can generate code using IDL like syntax:

          class_< ... >( ... )
              .def( ... );

      Or it can generate code using more complex form:

      ...